For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Comment object
          • GET/comments
          • POST/comments
          • GET/comments/{id}
          • GET/comments/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsComments

/comments/{id}

GET
/ticketing/v1/comments/:id
GET
/api/ticketing/v1/comments/:id
$curl -G https://api.merge.dev/api/ticketing/v1/comments/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> --data-urlencode expand=user,contact,ticket
200Retrieved
1{
2 "id": "0958cbc6-6040-430a-848e-aafacbadf4ae",
3 "remote_id": "19202938",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "user": "17a54124-287f-494d-965e-3c5b330c9a68",
7 "contact": "dde3fb16-b8eb-483d-81c4-b78100816f15",
8 "body": "When will these integrations be done? You all should use Merge.",
9 "html_body": "When will these integrations be done? You all should use <b>Merge<b>.",
10 "ticket": "fb8c55b6-1cb8-4b4c-9fb6-17924231619d",
11 "is_private": true,
12 "remote_created_at": "1990-11-10T00:00:00Z",
13 "remote_was_deleted": true,
14 "field_mappings": {
15 "organization_defined_targets": {
16 "custom_key": "custom_value"
17 },
18 "linked_account_defined_targets": {
19 "custom_key": "custom_value"
20 }
21 },
22 "remote_data": [
23 {
24 "path": "/platform-endpoint",
25 "data": null
26 }
27 ]
28}

Returns a Comment object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/comments

Next

/comments/meta/post

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
userstring or nullformat: "uuid"

The author of the Comment, if the author is a User. If the third party does not support specifying an author, we will append “[Posted on behalf of {name}]” to the comment.

contactstring or nullformat: "uuid"

The author of the Comment, if the author is a Contact.If the third party does not support specifying an author, we will append “[Posted on behalf of {name}]” to the comment.

bodystring or null
The comment's text body.
html_bodystring or null
The comment's text body formatted as html.
ticketstring or nullformat: "uuid"
The ticket associated with the comment.
is_privateboolean or null
Whether or not the comment is internal.
remote_created_atdatetime or null
When the third party's comment was created.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only